Announcement

Collapse
No announcement yet.

How to Install dump1090-mutability on RPi

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by AV8ORS View Post

    Uninstalled 1090-mutability, now when I try to access my Gmap says 404 not found...
    ????
    The gmap is part of dump1090-mutability and was removed when you uninstalled dump1090-mutability, hence you can no more access it.

    However you can see the dump1090-fa map at following address in your browser:

    IP-of-Pi/skyaware




    Comment


    • Good morning,

      is it possible to set the ppm for the RTL2838 receiver in
      Code:
      /etc/default/dump1090-fa

      Comment


      • Originally posted by Boxitec View Post
        Good morning,

        is it possible to set the ppm for the RTL2838 receiver in
        Code:
        /etc/default/dump1090-fa
        Why you want to adjust PPM? it is really not important. I never adjust PPM.

        However if you want to adjust PPM, following is the procedure:

        If you are using Raspberry Pi OS with package install of dump1090-fa, then do this:

        Code:
        sudo nano /etc/default/dump1090-fa
        Scroll down to this line
        Code:
        # Additional options can be added here:
        EXTRA_OPTIONS=""
        Add your PPM's desired value n like this:
        (Replace n by the number you want)
        Code:
        # Additional options can be added here:
        EXTRA_OPTIONS="--ppm n"
        Save file (Ctrl + O) and close (Ctrl + X)

        Restart dump1090-fa
        Code:
        sudo systemctl restart dump1090-fa

        If you are using piaware SD card image, do this:
        In piaware sd card image, the changes you make to file "/etc/default/dump1090-fa" will be removed on reboot.

        To make change stay even after reboot, use command given below (it will not work with package install).

        Give following command to adjust PPM to desired value n
        (Replace n by the number you want)

        Code:
        sudo piaware-config rtlsdr-ppm n


        .
        Last edited by abcd567; 2022-02-18, 14:35.

        Comment


        • Dear Abcd567, Is there a way to install Gain button and RSSI with dump1090-fa ?



          Originally posted by abcd567 View Post
          READ & SET GAIN FROM BROWSER / DUMP1090 MAP

          Last Updated: 20th July, 2018

          This method is for dump1090-mutability ver 1.15~dev.

          It will NOT work for PI24 / dump1090-mutability ver 1.14 ("Receiver=DVBT" setting)


          OPTION-1: INDEPENDENT



          OPTION-2: EMBEDDED IN MAP





          STEP-1: Only Step-1 is different for Jessie, Stretch, and Buster, rest is same.

          JESSIE
          Code:
          sudo apt update
          sudo apt install php5-cgi

          STRETCH
          Code:
          sudo apt update
          sudo apt install php7.0-cgi
          BUSTER
          Code:
          sudo apt update
          sudo apt install php7.3-cgi

          STEP-2:
          Code:
          sudo lighty-enable-mod fastcgi-php
          sudo /etc/init.d/lighttpd force-reload

          STEP-3:
          Create a new file gain.php containing gain button, drop-down list of gains & current gain display.

          3.1 - Create a new file gain.php in folder /usr/share/dump1090-mutability/html
          Code:
          sudo nano /usr/share/dump1090-mutability/html/gain.php
          3.2 - Copy-paste following code in newly created blank file gain.php

          NOTE:Code is larger than displayed. Scroll Right and Scroll Down to see these in full.
          [code]
          <html>
          <form id="myform" action="gain.php" method="post" />
          <div><font color=#ff0000 face="'Helvetica Neue', Helvetica, Arial, sans-serif">Current Gain: <?php system('cat /usr/local/sbin/gain/currentgain');?> </font></div>
          <select name="gain" id="gain">
          <option value=-10>-10</option>
          <option value=49.6>49.6</option>
          <option value=48.0>48.0</option>
          <option value=44.5>44.5</option>
          <option value=43.9>43.9</option>
          <option value=43.4>43.4</option>
          <option value=42.1>42.1</option>
          <option value=40.2>40.2</option>
          <option value=38.6>38.6</option>
          <option value=37.2>37.2</option>
          <option value=36.4>36.4</option>
          <option value=33.8>33.8</option>
          <option value=32.8>32.8</option>
          <option value=29.7>29.7</option>
          <option value=28.0>28.0</option>
          <option value=25.4>25.4</option>
          <option value=22.9>22.9</option>
          <option value=20.7>20.7</option>
          <option value=19.7>19.7</option>
          <option value=16.6>16.6</option>
          </select>
          <input type="submit" value="Set Gain" style="color:#ffffff;background-color:#00A0E2;border-color:#00B0F0;" />
          </form>
          </html>
          Current Gain (red) will be updated.

          Comment


          • Originally posted by ramimz View Post
            Dear Abcd567, Is there a way to install Gain button and RSSI with dump1090-fa ?

            Please visit the page linked below which has howto and scripts for automated installation of "Set-Gain" in browser / map for following 3 cases:
            • Piaware SD Card image
            • Raspberry Pi OS with dump1090-fa
            • Raspberry Pi OS with dump1090-mutability

            https://github.com/abcd567a/set-gain...ster/README.md




            .

            Comment


            • Amazing, It's working great

              Thank you very much.




              Originally posted by abcd567 View Post


              Please visit the page linked below which has howto and scripts for automated installation of "Set-Gain" in browser / map for following 3 cases:
              • Piaware SD Card image
              • Raspberry Pi OS with dump1090-fa
              • Raspberry Pi OS with dump1090-mutability

              https://github.com/abcd567a/set-gain...ster/README.md


              .
              You do not have permission to view this gallery.
              This gallery has 1 photos.

              Comment


              • Hi all

                I've just gone through ALL of abd567 excellent instructions "How to Install dump1090-mutability on RPi"
                I wasn't sure if it would be a problem since I now have Bullseye 64bit on a pi4 but thought it worth a try.
                Well it was 99.9% successful!

                It was at this point (adding gain control) that I hit a problem:-
                BUSTER
                Code:
                sudo apt install php7.3-cgi

                However. sudo apt install php7.4-cgi does the job nicely!


                If you happen to see this Captain, you might like to add this to your instructions for gain setting :-

                BULLSEYE
                Code:
                sudo apt update
                sudo apt install php7.4-cgi


                I know there are different more up to date versions but I personally like this one so it was great to get it running on a new build.

                Comment


                • Originally posted by Scroggie View Post
                  BUSTER
                  Code:
                  sudo apt install php7.3-cgi

                  However. sudo apt install php7.4-cgi does the job nicely!

                  If you happen to see this Captain, you might like to add this to your instructions for gain setting :-

                  BULLSEYE
                  Code:
                  sudo apt update
                  sudo apt install php7.4-cgi
                  Thanks Scroggie for pointing out. I will update the how-to for "Set Gain from Browser".

                  The easiest way is to give following version-less command, and apt itself selects and installs the version applicable to the OS (Stretch or Buster or Bullseye)

                  Code:
                  sudo apt install -y php-cgi

                  If you want versioned command, use following:

                  Jessie:
                  sudo apt install -y php5-cgi;

                  Stretch:
                  sudo apt install -y php7.0-cgi

                  Buster:
                  sudo apt install -y php7.3-cg

                  Bullseye:
                  sudo apt install -y php7.4-cgi



                  .
                  Last edited by abcd567; 2022-02-22, 21:33.

                  Comment


                  • Originally posted by Scroggie View Post

                    If you happen to see this Captain, you might like to add this to your instructions for gain setting :-

                    BULLSEYE
                    Code:
                    sudo apt update
                    sudo apt install php7.4-cgi
                    I tried to edit the post, but the forum's over active protection refuses to let me save the edited post, and displays following Error message:

                    Oblivian As you have administrative powers, can you please help me to save the post after I edit it?



                    FR24 forum wont let me save after edit.png




                    Comment


                    • Possibly something to do with it being targeted
                      Posts not to be taken as official support representation - Just a helpful uploader who tinkers

                      Comment


                      • I don't know if this is the right place to ask, but after installed dump1090-multability, I went on install fr24_rpi using the given command
                        Code:
                        sudo bash -c "$(wget -O - https://repo-feed.flightradar24.com/install_fr24_rpi.sh)"
                        But I got this error
                        Code:
                        --2022-02-25 17:14:10-- https://repo-feed.flightradar24.com/install_fr24_rpi.sh
                        Resolving repo-feed.flightradar24.com (repo-feed.flightradar24.com)... 104.17.44.52, 104.17.43.52, 104.17.46.52, ...
                        Connecting to repo-feed.flightradar24.com (repo-feed.flightradar24.com)|104.17.44.52|:443... connected.
                        HTTP request sent, awaiting response... 200 OK
                        Length: 1349 (1.3K) [application/x-sh]
                        Saving to: 'STDOUT'
                        
                        - 100%[==========================>] 1.32K --.-KB/s in 0s
                        
                        2022-02-25 17:14:10 (5.24 MB/s) - written to stdout [1349/1349]
                        
                        Get:1 http://raspbian.raspberrypi.org/raspbian buster InRelease [15.0 kB]
                        Hit:2 http://archive.raspberrypi.org/debian buster InRelease
                        Fetched 15.0 kB in 2s (9612 B/s)
                        Reading package lists... Done
                        Reading package lists... Done
                        Building dependency tree
                        Reading state information... Done
                        dirmngr is already the newest version (2.2.12-1+rpi1+deb10u1).
                        The following package was automatically installed and is no longer required:
                        python-colorzero
                        Use 'sudo apt autoremove' to remove it.
                        0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
                        Executing: /tmp/apt-key-gpghome.jWbtzzFSeN/gpg.1.sh --recv-key --keyserver keyserver.ubuntu.com C969F07840C430F5
                        gpg: keyserver receive failed: Server indicated a failure
                        Executing: /tmp/apt-key-gpghome.VUF2WOAXtV/gpg.1.sh --recv-key --keyserver pool.sks-keyservers.net C969F07840C430F5
                        gpg: keyserver receive failed: Server indicated a failure
                        Executing: /tmp/apt-key-gpghome.LhWEL0bhYA/gpg.1.sh --recv-key --keyserver pgp.mit.edu C969F07840C430F5
                        gpg: keyserver receive failed: Server indicated a failure
                        Can someone please explain to me what is the problem and how to solve it, thank you

                        Comment


                        • Consider using this guide to install fr24: https://github.com/wiedehopf/adsb-wi...ADS-B-receiver

                          While you're at it, might as well go to readsb, newer map than dump1090-mutability.

                          Comment


                          • Originally posted by turboprops View Post
                            I
                            Executing: /tmp/apt-key-gpghome.LhWEL0bhYA/gpg.1.sh --recv-key --keyserver pgp.mit.edu C969F07840C430F5
                            gpg: keyserver receive failed: Server indicated a failure

                            Can someone please explain to me what is the problem and how to solve it, thank you

                            Try this:

                            Code:
                            wget http://repo-feed.flightradar24.com/rpi_binaries/fr24feed_1.0.29-8_armhf.deb
                            
                            sudo dpkg -i fr24feed_1.0.29-8_armhf.deb

                            .
                            Last edited by abcd567; 2022-02-25, 20:29.

                            Comment

                            Working...
                            X